Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Bogenradius ändern, Endpunkte beibehalten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Bogenradius ändern, Endpunkte beibehalten (1019 mal gelesen)
hanns-g
Mitglied



Sehen Sie sich das Profil von hanns-g an!   Senden Sie eine Private Message an hanns-g  Schreiben Sie einen Gästebucheintrag für hanns-g

Beiträge: 44
Registriert: 14.10.2015

erstellt am: 14. Okt. 2015 12:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo ihr Profis,

ich suche eine Möglichkeit den Radius eines Bogens zu editieren. Bei der Änderung des Wertes wird allerdings der Bogen parallel verschoben. Anfangs- und Endpunkt sollen aber beibehalten werden.
Die Polylinie hab ich auch versucht, hier bleiben die Punkte in ihrer Lage, allerdings kann ich hier den Radius nicht nummerisch eingeben. Der Befehl PEDIT bietet mir auch keinen Radius an.
Meine einzige Lösung ist jedesmal einen neuen Bogen mit Startp, Endp, Radius zu Erstellen - habt ihr bessere Ideeen?

Danke und Grüße

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9553
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 14. Okt. 2015 12:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hanns-g 10 Unities + Antwort hilfreich

Willkommen bei CAD.DE und AUGCE!  
Vier wichtige Links für den problemlosen Einstieg:
Richtig Fragen - Nettiquette - Suchfunktion - System-Info

Zum Ändern des Radius eines Bogens unter Beibehaltung vonBogenanfangs und Endpunkt
fallen mir mit Standard-AutoCAD spontan folgende Möglichkeiten ein:

a) Griffe: den Griff auf dem Bogenrandmittelpunkt ziehen (keine direkte Maßeingabe möglich)
b) Parametrik: Sperren der Anfangs- und Endpunktes über Parametrik (Befehl: GAFIX), dann Radius über BARADIUS festlegen.
c) kleines Lisp Makro

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

[Diese Nachricht wurde von CAD-Huebner am 14. Okt. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 14. Okt. 2015 12:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hanns-g 10 Unities + Antwort hilfreich

Ich würde mittels "gafix" (oder _gcfix) die Endpunkte fixieren, anschließend mit "baradius (_dcradius) den Radius bemaßen. (Befehle sind zu finden in der Registerkarte "Parametrisch").

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

hanns-g
Mitglied



Sehen Sie sich das Profil von hanns-g an!   Senden Sie eine Private Message an hanns-g  Schreiben Sie einen Gästebucheintrag für hanns-g

Beiträge: 44
Registriert: 14.10.2015

erstellt am: 14. Okt. 2015 17:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für die schnelle Antwort.

Autoabhängigkeiten kannte ich noch nicht. Ein Rechteck als Beispiel hat mir aber geholfen zu verstehen. Sinn ist ungefähr klar. Den Punkten des Bogens das Schloss zu geben hat funktioniert (obwohl mich die Anzeige verwirrt hat:

GAFIX Punkt wählen oder [Objekt] <Objekt>:

ich hätte hier erwartet zur Option "Punkt" umschalten zu können).
Danach hab ich mit BARADIUS eine Bemaßung/Abhängigkeit(?) gesetzt und hab den Radius ändern können.
Aber ob sich der lange Weg bei mir durchsetzten wird ...
Vielleicht doch noch kurz als konkrete Frage: Was wären noch Anwendungen für diese Autoabhängigkeiten? Wofür gibts die?

Vielen Dank für eure Bemühungen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RL13
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Bauwesen


Sehen Sie sich das Profil von RL13 an!   Senden Sie eine Private Message an RL13  Schreiben Sie einen Gästebucheintrag für RL13

Beiträge: 2373
Registriert: 23.10.2008

Civil 3D 2018.1
Civil 3D 2016 64 Bit SP 3
mit DACH und Extensions
W7 Professional 64Bit
HP Z440
Intel Xeon CPU E5-1620 v4
32 GB RAM
NVIDIA Quadro P4000

erstellt am: 14. Okt. 2015 18:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hanns-g 10 Unities + Antwort hilfreich

Zitat:
Vielleicht doch noch kurz als konkrete Frage: Was wären noch Anwendungen für diese Autoabhängigkeiten? Wofür gibts die?

z.B. finden die Anwendung bei parametrischen Blöcken, hier natürlich im Blockeditor.

------------------
mfg Roman

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 14. Okt. 2015 18:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hanns-g 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von hanns-g:
GAFIX Punkt wählen oder [Objekt] <Objekt>:

ich hätte hier erwartet zur Option "Punkt" umschalten zu können).


Genau anders herum: die Standardanfrage lautet "Punkt wählen", ACAD erwartet also die Bestimmung des zu fixierenden Punktes. Alternativ gibt es noch die Möglichkeit, ein ganzes Objekt zu fixieren. Dies wird als Option in eckigen Klammeren angeboten und muß wie immer explizit ausgewählt werden. Hier noch mit der Besonderheit, daß die Option "Objekt" nicht ausdrücklich durch Eingabe eines "O" oder durch Picken auf den Eintrag [Objekt] gewählt werden muß (oder aus dem Kontextmenü), sondern einfach durch ENTER übernommen werden kann, da sie in spitzen Klammern als "Vorzugsoption" angeboten wird. Dieses Prinzip ist bei allen AutoCAD-Befehlen mit Optionswahlmöglichkeit durchgängig zu finden.

Was wären noch Anwendungen für diese Autoabhängigkeiten? Wofür gibts die?

Ich lasse erst mal das "Auto-" weg. Es geht hier um den Überbegriff "Parametrik". Das heißt, daß die Geometrie von AutoCAD-Objekten (Kreis, Linie, Bogen, etc.) durch Bemaßungen gesteuert (verändert) werden kann. (Hast Du beim konkreten Beispiel mit der Radienbemaßung schon bemerkt). Damit man nun noch beeinflussen kann, wie sich ein Objekt beim Ändern einer solchen Bemaßung verändert, müssen geometrische Zwangsbedingungen zwischen den Objekten oder am Objekt selbst festgelegt werden.
Beispiel: Gezeichnet seien ein Kreis und daneben ein Rechteck. Nun wird meinetwegen ein Parametrisches Längenmaß (balinear oder _dclinear) von Kreiszentrumspunkt zu einer RechteckEcke angebracht und der Wert verändert. Was kann passieren?
- Der Kreis wird verschoben
- Das Rechteck wird verschoben
- Das Rechteck verändert seine Größe (Breite)
- Nur die eine Rechteckseite verändert ihre Länge und es entsteht ein Trapez.
- das Rechteck könnte sich wegdrehen
- ... (weiß nicht, ob ich noch was vergessen habe, ist aber egal)

Damit genau das passiert, was man beabsichtigt, muß die Geometrie vor dem Anbringen der Bemaßungen so weit "stabilisiert" werden, daß sie sich nur noch im Rahmen des Gewünschten verändern kann. Dazu dienen die Geometrischen Abhängigkeiten (zu finden in der MFL-Gruppe "Geometrisch"). Also z.B. den Kreismittelpunkt fixieren, die Seiten des Rechteckes zueinander lotrecht festlegen, eine der Rechteckseiten waagerecht oder senkrecht festlegen -> dann bewegt sich das komplette Rechteck relativ zum Kreis.
[EDIT]
Die Systemvariable CONSTRAINTINFER bietet eine für den Anwender manchmal nützliche Unterstützung, indem (falls aktiviert) bereits beim Zeichnen bestimmte Abhängigkeiten automatisch erkannt und festgelegt werden. (z.B. wenn man zwei Linien nahezu lotrecht zueinander skizziert, werden sie automatisch mit der Abhängigkeit Lotrecht versehen).
Weiters gibt es den Befehl Autoabhäng (_autoconstrain). Dieser wird auf bereits gezeichnete Geometrie angewendet und kann selbständig sinnvolle Abhängigkeiten erkennen und vergeben.
[/EDIT]
Beides kann nützlich sein, manchmal können dadurch aber auch Abhängigkeiten entstehen, die man gar nicht wollte. Müssen dann wieder gelöscht werden.
Für die effektive Anwendung dieses Werkzeuges braucht es ein wenig Erfahrung. Ansonsten kann man schnell zu dem (IMHO falschen) Schluß kommen, der Aufwand der Parametrik sei größer als ihr Nutzen. (Das nur zu Deiner letzten Bemerkung "Aber ob sich der lange Weg bei mir durchsetzten wird ...")     Parametrik ist was Schönes und Nützliches.

Jürgen


------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 15. Okt. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9553
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 15. Okt. 2015 11:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hanns-g 10 Unities + Antwort hilfreich

Da ich oben davon sprach ein Makro zu verwenden, habe ich mal eines für die Aufgabe auf die Schnelle zusammengeklöppelt. Kein Anspruch auf Schönheit oder Fehlerfreiheit.

Code:
(defun C:UHBRÄ( / obj pa pe rad narclist oarclist)
(prompt "Bogenradius ändern - Udo Hübner 15.10.2015")
(prompt "Bogen wählen:")
(if (setq arcs (ssget "_:S" (list (cons 0 "ARC"))))
  (progn
    (setq obj (vlax-ename->vla-object (ssname arcs 0)))
    (setq pa (vlax-curve-getstartpoint obj)
          pe (vlax-curve-getendpoint obj)
          rad (vla-get-radius obj)
    )
    (initget 6)
    (if (and (setq nrad (getdist (strcat "Radius eingeben, kleinster Radius "
                          (rtos (/ (distance pa pe) 2.0))  " <" (rtos rad) ">:"))
              )
      (>= nrad (/ (distance pa pe) 2.0)))
      (progn
        (setvar "cmdecho" 0)
        (command-s "_ARC" "_non" pa "_e" "_non" pe "_r" nrad) ; neu zeichnen
        (setvar "cmdecho" 1)
        (setq narclist (entget (entlast)))
        (entdel (entlast)) ; wiede löschen

        (setq oarclist (entget (ssname arcs 0)))
        (setq oarclist (subst (assoc 10 narclist)(assoc 10 oarclist) oarclist)
              oarclist (subst (assoc 40 narclist)(assoc 40 oarclist) oarclist)
                oarclist (subst (assoc 50 narclist)(assoc 50 oarclist) oarclist)
                oarclist (subst (assoc 51 narclist)(assoc 51 oarclist) oarclist)
        )
        (entmod oarclist) ; alten bogen aktualisieren
      )
      (if nrad (prompt "Radius ungültig - zu klein!"))
    )
  )
)
(prin1)
)
 

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 15. Okt. 2015 11:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für hanns-g 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von CAD-Huebner:
habe ich mal eines für die Aufgabe auf die Schnelle zusammengeklöppelt.

der Funktions-/Befehlsname ist einfach nicht zu toppen 

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz